curl --request POST \
--url https://api.siftstack.com/api/v1/annotations/{annotationId}/logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "ANNOTATION_LOG_KIND_UNSPECIFIED",
"comment": {
"body": [
{
"type": "ANNOTATION_COMMENT_BODY_ELEMENT_TYPE_UNSPECIFIED",
"text": "<string>"
}
]
}
}
'{
"annotationLog": {
"annotationLogId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"annotationId": "<string>",
"kind": "ANNOTATION_LOG_KIND_UNSPECIFIED",
"createdByUserId": "<string>",
"createdByUserName": "<string>",
"assigned": {
"assignedToUserId": "<string>",
"assignedToUserEmail": "<string>"
},
"stateUpdate": {
"state": "ANNOTATION_LOG_STATE_UNSPECIFIED"
},
"comment": {
"body": [
{
"type": "ANNOTATION_COMMENT_BODY_ELEMENT_TYPE_UNSPECIFIED",
"text": "<string>",
"userMention": {
"userId": "<string>",
"userEmail": "<string>"
}
}
]
}
}
}Creates an annotation log on an annotation.
curl --request POST \
--url https://api.siftstack.com/api/v1/annotations/{annotationId}/logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "ANNOTATION_LOG_KIND_UNSPECIFIED",
"comment": {
"body": [
{
"type": "ANNOTATION_COMMENT_BODY_ELEMENT_TYPE_UNSPECIFIED",
"text": "<string>"
}
]
}
}
'{
"annotationLog": {
"annotationLogId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"annotationId": "<string>",
"kind": "ANNOTATION_LOG_KIND_UNSPECIFIED",
"createdByUserId": "<string>",
"createdByUserName": "<string>",
"assigned": {
"assignedToUserId": "<string>",
"assignedToUserEmail": "<string>"
},
"stateUpdate": {
"state": "ANNOTATION_LOG_STATE_UNSPECIFIED"
},
"comment": {
"body": [
{
"type": "ANNOTATION_COMMENT_BODY_ELEMENT_TYPE_UNSPECIFIED",
"text": "<string>",
"userMention": {
"userId": "<string>",
"userEmail": "<string>"
}
}
]
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the parent annotation associated to associate with the new annotation log.
The request for a call to AnnotationLogService_CreateAnnotationLog to create an annotation log.
ANNOTATION_LOG_KIND_UNSPECIFIED, ANNOTATION_LOG_KIND_COMMENT, ANNOTATION_LOG_KIND_STATE_UPDATE, ANNOTATION_LOG_KIND_ASSIGNED Show child attributes
Show child attributes
Show child attributes
A successful response.
The response of a call to AnnotationLogService_CreateAnnotationLog.
Show child attributes
Was this page helpful?